<?php include('../../fncr-geral/configuracao_geral.php');
@header("Content-Type: text/html; charset=ISO-8859-1",true);

$tipo='';

// Se existir variaveis de GET
if(isset($_GET['t']) && isset($_GET['di']) && isset($_GET['df'])){

  $tipo = $_GET['t'];
  $tipo = preg_replace("/[^a-z]/", "", $tipo);

  $data_inicio = $_GET['di'];
  $data_inicio = preg_replace("/[^0-9-]/", "", $data_inicio);

  $data_termino = $_GET['df'];
  $data_termino = preg_replace("/[^0-9-]/", "", $data_termino);

  $iniciar_download = 0;
  if($tipo!="" && $data_inicio!="" && $data_termino!=""){$iniciar_download = 1;}

}

/***===================== LISTA PARA BANCO =====================***/
if($iniciar_download == 1 && $tipo == "listabanco"){

  // Relatório
// Registros
  $sql_relatorio = $bd->getConexao()->prepare('
  SELECT clubes_financeiro.*,
    clubes.nome as clube,
    clubes_financeiro_status.status as nomestatus,
    DATE_FORMAT(clubes_financeiro.data_pgto,"%d/%m/%Y") AS data_pagamento
  FROM clubes_financeiro
    LEFT JOIN clubes ON clubes.id = clubes_financeiro.id_clube
    LEFT JOIN clubes_financeiro_status ON clubes_financeiro_status.id = clubes_financeiro.status
  WHERE clubes_financeiro.data_pgto BETWEEN ("'.$data_inicio.'") AND ("'.$data_termino.'") AND clubes_financeiro.status = 4 AND clubes_financeiro.valor > 0 ORDER BY data_pgto ASC');
  if( $sql_relatorio->execute() ) { $resul_relatorio = $sql_relatorio->fetchall(PDO::FETCH_ASSOC);}

  // Titulos
  $tabela = '<table><tr><td colspan="14"><b>Relat&oacute;rio de Vendas</b></td></tr>';
  $tabela .= '<tr><td colspan="4">Per&iacute;odo: '.echodata($data_inicio).' &agrave; '.echodata($data_termino).'</td></tr><tr><td></td></tr>';
  // Colunas
  $tabela .= '<tr style="border-bottom: solid 1px #4e4e4e">';
    $tabela .= '<td><b>Nome</b></td>';
    $tabela .= '<td style="text-align: center"><b>Per&iacute;odo</b></td>';
    $tabela .= '<td style="text-align: center"><b>Valor</b></td>';
    $tabela .= '<td style="text-align: center"><b>Data Pgto</b></td>';
  $tabela .= '</tr>';

  // Conteúdo
  foreach ($resul_relatorio as $linha_relatorio){
    $tabela .= '<tr>';
      $tabela .= '<td>'.$linha_relatorio['clube'].'</td>';
      $tabela .= '<td style="text-align: center">'.substr(meses($linha_relatorio['periodo_mes']), 0, 3).'</td>';
      $tabela .= '<td style="text-align: center">'.echomoeda($linha_relatorio['valor']).'</td>';
      $tabela .= '<td style="text-align: center">'.$linha_relatorio['data_pagamento'].'</td>';
    $tabela .= '</tr>';
  }
  $tabela .= '</table>';

  $arquivo = 'RELATORIO_VENDAS.xls';
}



/***===================== GERANDO ARQUIVO =====================***/
if($iniciar_download == 1 && $tipo != "") {

  header('Cache-Control: no-cache, must-revalidate');
  header('Pragma: no-cache');
  header('Content-Type: application/x-msexcel');
  header("Content-Disposition: attachment; filename=\"{$arquivo}\"");

  echo $tabela;
}?>
<?php $bd = null; $bd_fn = null;?>